com.collabnet.ce.soap60.webservices.categorization

## Class CategorizationAppSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.categorization.CategorizationAppSoapMockStub

- All Implemented Interfaces:
    ICategorizationAppSoap

      public class CategorizationAppSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements ICategorizationAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CategorizationAppSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProjectToCategory(String sessionId, String projectId, String categoryId)` Simulate a call to addProjectToCategory
    `CategorySoapDO` | `createCategory(String sessionId, String parentId, String title, String description)` Simulate a call to createCategory
    `void` | `deleteCategory(String sessionId, String categoryId)` Simulate a call to deleteCategory
    `CategorySoapList` | `getAllCategories(String sessionId)` Simulate a call to getAllCategories
    `CategorySoapDO` | `getCategoryData(String sessionId, String categoryId)` Simulate a call to getCategoryData
    `ProjectSoapList` | `getCategoryProjects(String sessionId, String categoryId, boolean includeSubcategories)` Simulate a call to getCategoryProjects
    `CategorySoapList` | `getProjectCategories(String sessionId, String projectId)` Simulate a call to getProjectCategories
    `CategorySoapDO` | `getRootCategoryData(String sessionId)` Simulate a call to getRootCategoryData
    `CategorySoapList` | `getSubcategories(String sessionId, String categoryId, boolean recursive)` Simulate a call to getSubcategories
    `ProjectSoapList` | `getUncategorizedProjects(String sessionId)` Simulate a call to getUncategorizedProjects
    `boolean` | `isCategorizationEnabled(String sessionId)` Simulate a call to isCategorizationEnabled
    `void` | `moveCategory(String sessionId, String categoryId, String dstCategoryId)` Simulate a call to moveCategory
    `void` | `prepareAddProjectToCategory(String sessionId, String projectId, String categoryId)` Prepare a simulated response to addProjectToCategory
    `void` | `prepareAddProjectToCategory(String sessionId, String projectId, String categoryId, Exception exception)` Prepare a simulated response to addProjectToCategory
    `void` | `prepareCreateCategory(String sessionId, String parentId, String title, String description, Object returnValue)` Prepare a simulated response to createCategory
    `void` | `prepareDeleteCategory(String sessionId, String categoryId)` Prepare a simulated response to deleteCategory
    `void` | `prepareDeleteCategory(String sessionId, String categoryId, Exception exception)` Prepare a simulated response to deleteCategory
    `void` | `prepareGetAllCategories(String sessionId, Object returnValue)` Prepare a simulated response to getAllCategories
    `void` | `prepareGetCategoryData(String sessionId, String categoryId, Object returnValue)` Prepare a simulated response to getCategoryData
    `void` | `prepareGetCategoryProjects(String sessionId, String categoryId, boolean includeSubcategories, Object returnValue)` Prepare a simulated response to getCategoryProjects
    `void` | `prepareGetProjectCategories(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getProjectCategories
    `void` | `prepareGetRootCategoryData(String sessionId, Object returnValue)` Prepare a simulated response to getRootCategoryData
    `void` | `prepareGetSubcategories(String sessionId, String categoryId, boolean recursive, Object returnValue)` Prepare a simulated response to getSubcategories
    `void` | `prepareGetUncategorizedProjects(String sessionId, Object returnValue)` Prepare a simulated response to getUncategorizedProjects
    `void` | `prepareIsCategorizationEnabled(String sessionId, Object returnValue)` Prepare a simulated response to isCategorizationEnabled
    `void` | `prepareMoveCategory(String sessionId, String categoryId, String dstCategoryId)` Prepare a simulated response to moveCategory
    `void` | `prepareMoveCategory(String sessionId, String categoryId, String dstCategoryId, Exception exception)` Prepare a simulated response to moveCategory
    `void` | `prepareRemoveProjectFromCategory(String sessionId, String projectId, String categoryId)` Prepare a simulated response to removeProjectFromCategory
    `void` | `prepareRemoveProjectFromCategory(String sessionId, String projectId, String categoryId, Exception exception)` Prepare a simulated response to removeProjectFromCategory
    `void` | `prepareSetCategoryData(String sessionId, CategorySoapDO categoryData)` Prepare a simulated response to setCategoryData
    `void` | `prepareSetCategoryData(String sessionId, CategorySoapDO categoryData, Exception exception)` Prepare a simulated response to setCategoryData
    `void` | `removeProjectFromCategory(String sessionId, String projectId, String categoryId)` Simulate a call to removeProjectFromCategory
    `void` | `setCategoryData(String sessionId, CategorySoapDO categoryData)` Simulate a call to setCategoryData

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CategorizationAppSoapMockStub

          public CategorizationAppSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareIsCategorizationEnabled

          public void prepareIsCategorizationEnabled(String sessionId,
                                                     Object returnValue)

      Prepare a simulated response to isCategorizationEnabled
      See Also:
        `CategorizationAppSoap.isCategorizationEnabled(java.lang.String)`

    - #### isCategorizationEnabled

          public boolean isCategorizationEnabled(String sessionId)
                                          throws RemoteException

      Simulate a call to isCategorizationEnabled
      Specified by:
        `isCategorizationEnabled` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        true/false
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.isCategorizationEnabled(java.lang.String)`

    - #### prepareCreateCategory

          public void prepareCreateCategory(String sessionId,
                                            String parentId,
                                            String title,
                                            String description,
                                            Object returnValue)

      Prepare a simulated response to createCategory
      See Also:
        `CategorizationAppSoap.createCategory(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createCategory

          public CategorySoapDO createCategory(String sessionId,
                                               String parentId,
                                               String title,
                                               String description)
                                        throws RemoteException

      Simulate a call to createCategory
      Specified by:
        `createCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentId` - ID of the parent category
        `title` - Title of the category
        `description` - Description
      Returns:
        A category data object representing the newly created category
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing category already exists
        `RemoteException`
      See Also:
        `CategorizationAppSoap.createCategory(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetCategoryData

          public void prepareGetCategoryData(String sessionId,
                                             String categoryId,
                                             Object returnValue)

      Prepare a simulated response to getCategoryData
      See Also:
        `CategorizationAppSoap.getCategoryData(java.lang.String, java.lang.String)`

    - #### getCategoryData

          public CategorySoapDO getCategoryData(String sessionId,
                                                String categoryId)
                                         throws RemoteException

      Simulate a call to getCategoryData
      Specified by:
        `getCategoryData` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - Category id.
      Returns:
        Detailed data on the category.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.getCategoryData(java.lang.String, java.lang.String)`

    - #### prepareGetRootCategoryData

          public void prepareGetRootCategoryData(String sessionId,
                                                 Object returnValue)

      Prepare a simulated response to getRootCategoryData
      See Also:
        `CategorizationAppSoap.getRootCategoryData(java.lang.String)`

    - #### getRootCategoryData

          public CategorySoapDO getRootCategoryData(String sessionId)
                                             throws RemoteException

      Simulate a call to getRootCategoryData
      Specified by:
        `getRootCategoryData` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        Detailed data on the root category.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.getRootCategoryData(java.lang.String)`

    - #### prepareSetCategoryData

          public void prepareSetCategoryData(String sessionId,
                                             CategorySoapDO categoryData)

      Prepare a simulated response to setCategoryData
      See Also:
        `CategorizationAppSoap.setCategoryData(java.lang.String, com.collabnet.ce.soap60.webservices.categorization.CategorySoapDO)`

    - #### prepareSetCategoryData

          public void prepareSetCategoryData(String sessionId,
                                             CategorySoapDO categoryData,
                                             Exception exception)

      Prepare a simulated response to setCategoryData
      See Also:
        `CategorizationAppSoap.setCategoryData(java.lang.String, com.collabnet.ce.soap60.webservices.categorization.CategorySoapDO)`

    - #### setCategoryData

          public void setCategoryData(String sessionId,
                                      CategorySoapDO categoryData)
                               throws RemoteException

      Simulate a call to setCategoryData
      Specified by:
        `setCategoryData` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryData` - Detailed data on the category to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object version mismatches the application server.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.setCategoryData(java.lang.String, com.collabnet.ce.soap60.webservices.categorization.CategorySoapDO)`

    - #### prepareDeleteCategory

          public void prepareDeleteCategory(String sessionId,
                                            String categoryId)

      Prepare a simulated response to deleteCategory
      See Also:
        `CategorizationAppSoap.deleteCategory(java.lang.String, java.lang.String)`

    - #### prepareDeleteCategory

          public void prepareDeleteCategory(String sessionId,
                                            String categoryId,
                                            Exception exception)

      Prepare a simulated response to deleteCategory
      See Also:
        `CategorizationAppSoap.deleteCategory(java.lang.String, java.lang.String)`

    - #### deleteCategory

          public void deleteCategory(String sessionId,
                                     String categoryId)
                              throws RemoteException

      Simulate a call to deleteCategory
      Specified by:
        `deleteCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - Category id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.deleteCategory(java.lang.String, java.lang.String)`

    - #### prepareGetAllCategories

          public void prepareGetAllCategories(String sessionId,
                                              Object returnValue)

      Prepare a simulated response to getAllCategories
      See Also:
        `CategorizationAppSoap.getAllCategories(java.lang.String)`

    - #### getAllCategories

          public CategorySoapList getAllCategories(String sessionId)
                                            throws RemoteException

      Simulate a call to getAllCategories
      Specified by:
        `getAllCategories` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        List of categories within the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.getAllCategories(java.lang.String)`

    - #### prepareGetSubcategories

          public void prepareGetSubcategories(String sessionId,
                                              String categoryId,
                                              boolean recursive,
                                              Object returnValue)

      Prepare a simulated response to getSubcategories
      See Also:
        `CategorizationAppSoap.getSubcategories(java.lang.String, java.lang.String, boolean)`

    - #### getSubcategories

          public CategorySoapList getSubcategories(String sessionId,
                                                   String categoryId,
                                                   boolean recursive)
                                            throws RemoteException

      Simulate a call to getSubcategories
      Specified by:
        `getSubcategories` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - category whose immediate subcategories should be returned
        `recursive` - set to true to get categories recursively
      Returns:
        List of categories in the root category.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.getSubcategories(java.lang.String, java.lang.String, boolean)`

    - #### prepareMoveCategory

          public void prepareMoveCategory(String sessionId,
                                          String categoryId,
                                          String dstCategoryId)

      Prepare a simulated response to moveCategory
      See Also:
        `CategorizationAppSoap.moveCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveCategory

          public void prepareMoveCategory(String sessionId,
                                          String categoryId,
                                          String dstCategoryId,
                                          Exception exception)

      Prepare a simulated response to moveCategory
      See Also:
        `CategorizationAppSoap.moveCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### moveCategory

          public void moveCategory(String sessionId,
                                   String categoryId,
                                   String dstCategoryId)
                            throws RemoteException

      Simulate a call to moveCategory
      Specified by:
        `moveCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - Category to move
        `dstCategoryId` - Destination parent category
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.moveCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddProjectToCategory

          public void prepareAddProjectToCategory(String sessionId,
                                                  String projectId,
                                                  String categoryId)

      Prepare a simulated response to addProjectToCategory
      See Also:
        `CategorizationAppSoap.addProjectToCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddProjectToCategory

          public void prepareAddProjectToCategory(String sessionId,
                                                  String projectId,
                                                  String categoryId,
                                                  Exception exception)

      Prepare a simulated response to addProjectToCategory
      See Also:
        `CategorizationAppSoap.addProjectToCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### addProjectToCategory

          public void addProjectToCategory(String sessionId,
                                           String projectId,
                                           String categoryId)
                                    throws RemoteException

      Simulate a call to addProjectToCategory
      Specified by:
        `addProjectToCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - ID of the project to add to a category
        `categoryId` - ID of the category to add the project to
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.addProjectToCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveProjectFromCategory

          public void prepareRemoveProjectFromCategory(String sessionId,
                                                       String projectId,
                                                       String categoryId)

      Prepare a simulated response to removeProjectFromCategory
      See Also:
        `CategorizationAppSoap.removeProjectFromCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveProjectFromCategory

          public void prepareRemoveProjectFromCategory(String sessionId,
                                                       String projectId,
                                                       String categoryId,
                                                       Exception exception)

      Prepare a simulated response to removeProjectFromCategory
      See Also:
        `CategorizationAppSoap.removeProjectFromCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### removeProjectFromCategory

          public void removeProjectFromCategory(String sessionId,
                                                String projectId,
                                                String categoryId)
                                         throws RemoteException

      Simulate a call to removeProjectFromCategory
      Specified by:
        `removeProjectFromCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - ID of the project to remove from a category
        `categoryId` - ID of the category to remove the project from
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.removeProjectFromCategory(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetProjectCategories

          public void prepareGetProjectCategories(String sessionId,
                                                  String projectId,
                                                  Object returnValue)

      Prepare a simulated response to getProjectCategories
      See Also:
        `CategorizationAppSoap.getProjectCategories(java.lang.String, java.lang.String)`

    - #### getProjectCategories

          public CategorySoapList getProjectCategories(String sessionId,
                                                       String projectId)
                                                throws RemoteException

      Simulate a call to getProjectCategories
      Specified by:
        `getProjectCategories` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - ID of the project
      Returns:
        List of categories the project is in
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.getProjectCategories(java.lang.String, java.lang.String)`

    - #### prepareGetCategoryProjects

          public void prepareGetCategoryProjects(String sessionId,
                                                 String categoryId,
                                                 boolean includeSubcategories,
                                                 Object returnValue)

      Prepare a simulated response to getCategoryProjects
      See Also:
        `CategorizationAppSoap.getCategoryProjects(java.lang.String, java.lang.String, boolean)`

    - #### getCategoryProjects

          public ProjectSoapList getCategoryProjects(String sessionId,
                                                     String categoryId,
                                                     boolean includeSubcategories)
                                              throws RemoteException

      Simulate a call to getCategoryProjects
      Specified by:
        `getCategoryProjects` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - category id
        `includeSubcategories` - boolean, if true, includes projects in subcategories
      Returns:
        List of projects that are in the category
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.getCategoryProjects(java.lang.String, java.lang.String, boolean)`

    - #### prepareGetUncategorizedProjects

          public void prepareGetUncategorizedProjects(String sessionId,
                                                      Object returnValue)

      Prepare a simulated response to getUncategorizedProjects
      See Also:
        `CategorizationAppSoap.getUncategorizedProjects(java.lang.String)`

    - #### getUncategorizedProjects

          public ProjectSoapList getUncategorizedProjects(String sessionId)
                                                   throws RemoteException

      Simulate a call to getUncategorizedProjects
      Specified by:
        `getUncategorizedProjects` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        List of projects that are in the category
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CategorizationAppSoap.getUncategorizedProjects(java.lang.String)`

Copyright © 2019 CollabNet. All rights reserved.